org.apache.ignite.internal.processors.rest.handlers.cache

## Class GridCacheRestMetrics

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.cache.GridCacheRestMetrics

    public class GridCacheRestMetrics
    extends Object

Grid cache metrics for rest.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheRestMetrics(int reads, int writes, int hits, int misses)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHits()` Gets hits.
`int` `getMisses()` Gets misses.
`int` `getReads()` Gets reads.
`int` `getWrites()` Gets writes.
`Map<String,Long>` `map()` Creates map with strings.
`void` `setHits(int hits)` Sets hits.
`void` `setMisses(int misses)` Sets misses.
`void` `setReads(int reads)` Sets reads.
`void` `setWrites(int writes)` Sets writes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheRestMetrics

    public GridCacheRestMetrics(int reads,
                                int writes,
                                int hits,
                                int misses)

Constructor.

Parameters:
  `reads` - Reads.
  `writes` - Writes.
  `hits` - Hits.
  `misses` - Misses.

### Method Detail

#### getReads

    public int getReads()

Gets reads.

Returns:
  Reads.

#### setReads

    public void setReads(int reads)

Sets reads.

Parameters:
  `reads` - Reads.

#### getWrites

    public int getWrites()

Gets writes.

Returns:
  Writes.

#### setWrites

    public void setWrites(int writes)

Sets writes.

Parameters:
  `writes` - Writes.

#### getHits

    public int getHits()

Gets hits.

Returns:
  Hits.

#### setHits

    public void setHits(int hits)

Sets hits.

Parameters:
  `hits` - Hits.

#### getMisses

    public int getMisses()

Gets misses.

Returns:
  Misses.

#### setMisses

    public void setMisses(int misses)

Sets misses.

Parameters:
  `misses` - Misses.

#### map

    public Map<String,Long> map()

Creates map with strings.

Returns:
  Map.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023